/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for CommunityMembers.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CommunityMembers extends GenericJson {

  /**
   * Status and permissions of the user related to the community.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private CommunityMembershipStatus communityMembershipStatus;

  /**
   * Kind of this item. Always orkut#communityMembers.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Description of the community member.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private OrkutActivitypersonResource person;

  /**
   * Status and permissions of the user related to the community.
   * The value returned may be {@code null}.
   */
  public CommunityMembershipStatus getCommunityMembershipStatus() {
    return communityMembershipStatus;
  }

  /**
   * Status and permissions of the user related to the community.
   * The value set may be {@code null}.
   */
  public CommunityMembers setCommunityMembershipStatus(CommunityMembershipStatus communityMembershipStatus) {
    this.communityMembershipStatus = communityMembershipStatus;
    return this;
  }

  /**
   * Kind of this item. Always orkut#communityMembers.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of this item. Always orkut#communityMembers.
   * The value set may be {@code null}.
   */
  public CommunityMembers setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Description of the community member.
   * The value returned may be {@code null}.
   */
  public OrkutActivitypersonResource getPerson() {
    return person;
  }

  /**
   * Description of the community member.
   * The value set may be {@code null}.
   */
  public CommunityMembers setPerson(OrkutActivitypersonResource person) {
    this.person = person;
    return this;
  }

}
