/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for CommunityPollVote.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class CommunityPollVote extends GenericJson {

  /**
   * Whether this vote is visible to other users or not.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Boolean isVotevisible;

  /**
   * Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * The ids of the voted options.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Integer> optionIds;

  /**
   * Whether this vote is visible to other users or not.
   * The value returned may be {@code null}.
   */
  public Boolean getIsVotevisible() {
    return isVotevisible;
  }

  /**
   * Whether this vote is visible to other users or not.
   * The value set may be {@code null}.
   */
  public CommunityPollVote setIsVotevisible(Boolean isVotevisible) {
    this.isVotevisible = isVotevisible;
    return this;
  }

  /**
   * Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Identifies this resource as a community poll vote. Value: "orkut#communityPollVote"
   * The value set may be {@code null}.
   */
  public CommunityPollVote setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * The ids of the voted options.
   * The value returned may be {@code null}.
   */
  public java.util.List<Integer> getOptionIds() {
    return optionIds;
  }

  /**
   * The ids of the voted options.
   * The value set may be {@code null}.
   */
  public CommunityPollVote setOptionIds(java.util.List<Integer> optionIds) {
    this.optionIds = optionIds;
    return this;
  }

}
